local customEventHandler = {};
function customEventHandler:onEvent(event)
	if world.event.S_EVENT_HIT == event.id then	
		if event.initiator ~= nil then
			local initiator = event.initiator
			local player_name = initiator:getPlayerName()
			local target = event.target
			if target:getCategory() == 1 then
				if initiator:getCoalition() == target:getCoalition() then			
					trigger.action.explosion(initiator:getPosition().p, 100)
					trigger.action.outText(player_name .. ' уничтожен за стрельбу по союзникам!', 5)
				end
			end	
		end		
	end
end;
world.addEventHandler(customEventHandler);

